﻿package{
	import flash.display.*;
	import flash.events.Event;
	import flash.filters.BlurFilter;
	import flash.geom.Matrix;
	import flash.geom.Point;
	public class Perliner extends Sprite
	{
		private var bmd:BitmapData;
		private var background:Bitmap;
		private var angle:Number = 0;
		private var painter:Sprite;
		private var matrix:Matrix ;
		private var color:uint = 0xffffff;
		private var filterObj:BlurFilter = new BlurFilter(1,2,2);
		public function Perliner():void
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			bmd = new BitmapData(stage.stageWidth,stage.stageHeight,false,0xff000000);
			background = new Bitmap(bmd);
			addChild(background);
			painter = new Sprite();
			init();
			addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function init():void
		{
			angle = 0;
			//color = Math.random()*0xffffff;
			painter.graphics.beginFill(color,1);
			painter.graphics.drawCircle(0,0,10);
			painter.graphics.endFill();
		}
		private function enterHandler(e:Event):void
		{
			if(angle<100){
				matrix = new Matrix();
				matrix.translate(mouseX,mouseY);
				matrix.rotate(+angle);
				bmd.applyFilter(bmd,bmd.rect,new Point(mouseX,mouseY),filterObj);
				bmd.draw(painter,matrix);
				angle++;
			}else{
				init();
			}
		}
	}
}